{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/gpgolikov/A1S_RSP_M2M_Hub_Activation_Site/1.0.0"},{"url":"127.0.0.1"}],"info":{"description":"This is a simple API","version":"1.0.0","title":"A1S RSP M2M Hub Activation Site"},"tags":[{"name":"admins","description":"Administrative operations (not available for regular users)"},{"name":"users","description":"Any authorized users operations (including administrators)"},{"name":"global","description":"Global users (A1S users) operations"},{"name":"operator","description":"Operator users operations"},{"name":"client","description":"Client users operations"},{"name":"operatorManagement","description":"Operation type to read/create/update/delete operators"},{"name":"clientManagement","description":"Operation type to read/create/update/delete clients"},{"name":"userManagement","description":"Operation type to read/create/update/delete users"},{"name":"deviceManagement","description":"Operation type to read/add/remove devices/eids"},{"name":"profileManagement","description":"Operation type to read/activate/add/remove profiles"}],"paths":{"/operators":{"get":{"tags":["users","global","operatorManagement"],"description":"Get all operators","parameters":[{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of operators","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/Operator"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"post":{"tags":["users","global","operatorManagment"],"description":"Add new operator","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateOperator"}}}},"responses":{"201":{"description":"Operator created","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Operator"}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/operators/{id}":{"parameters":[{"$ref":"#/components/parameters/idParam"}],"get":{"tags":["users","global","operator","client","operatorManagement"],"description":"Get information about specified operator","responses":{"200":{"description":"Success response with information about operator","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operator"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"put":{"tags":["users","global","operatorManagement"],"description":"Update operator information","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateOperator"}}}},"responses":{"200":{"description":"Success response - state of operator was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operator"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"delete":{"tags":["users","global","operatorManagement"],"description":"Delete specified operator","responses":{"204":{"description":"Success response to indicate operator has been deleted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/operators/{id}/block":{"put":{"tags":["users","global","operatorManagement"],"description":"Update state of operator - block/unblock","parameters":[{"$ref":"#/components/parameters/idParam"},{"$ref":"#/components/parameters/blockValueParam"}],"responses":{"200":{"description":"Success response - state of operator was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Operator"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/operators/{id}/users":{"get":{"tags":["users","global","operatorManagement","userManagement"],"description":"Get all users of specified operator","parameters":[{"$ref":"#/components/parameters/idParam"},{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of users","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/clients":{"get":{"tags":["users","global","operator","clientManagement"],"description":"Get all clients","parameters":[{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of clients","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/Client"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"post":{"tags":["users","global","operator","clientManagement"],"description":"Add new client","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateClient"}}}},"responses":{"201":{"description":"Client created","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Client"}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/clients/{id}":{"parameters":[{"$ref":"#/components/parameters/idParam"}],"get":{"tags":["users","global","operator","client","clientManagement"],"description":"Get information about specified client","responses":{"200":{"description":"Success response with information about client","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Client"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"put":{"tags":["users","global","operator","clientManagement"],"description":"Update client information","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateClient"}}}},"responses":{"200":{"description":"Success response - state of client was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Client"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"delete":{"tags":["users","global","operator","clientManagement"],"description":"Delete specified client","responses":{"204":{"description":"Success response to indicate client has been deleted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/clients/{id}/block":{"put":{"tags":["users","global","operator","clientManagement"],"description":"Update state of client - block/unblock","parameters":[{"$ref":"#/components/parameters/idParam"},{"$ref":"#/components/parameters/blockValueParam"}],"responses":{"200":{"description":"Success response - state of client was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Client"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/clients/{id}/users":{"get":{"tags":["users","global","operator","clientManagement","userManagement"],"description":"Get all users of specified client","parameters":[{"$ref":"#/components/parameters/idParam"},{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of users","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/users":{"get":{"tags":["users","global","operator","client","userManagement"],"description":"Get all users of same kind of entity as for caller \n  * _Global users_ - all global users\n  * _Operator users_ - all operator's users\n  * _Client users_ - all client's users\n","parameters":[{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of users","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"post":{"tags":["admins","global","operator","client","userManagement"],"description":"Add new user of same kind of entity as for caller \n  * _Global admins_ - create global user\n  * _Operator admins_ - create operator's user\n  * _Client admins_ - create client's user\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateUser"}}}},"responses":{"201":{"description":"User created","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/User"}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/users/{id}":{"parameters":[{"$ref":"#/components/parameters/idParam"}],"get":{"tags":["users","global","operator","client","userManagement"],"description":"Get information about specified user","responses":{"200":{"description":"Success response with information about user","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"put":{"tags":["users","global","operator","client","userManagement"],"description":"Update user information","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUser"}}}},"responses":{"200":{"description":"Success response - state of user was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"delete":{"tags":["admins","global","operator","client","userManagement"],"description":"Delete specified user","responses":{"204":{"description":"Success response to indicate user has been deleted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/users/{id}/block":{"put":{"tags":["admins","global","operator","client","userManagement"],"description":"Update state of user - block/unblock","parameters":[{"$ref":"#/components/parameters/idParam"},{"$ref":"#/components/parameters/blockValueParam"}],"responses":{"200":{"description":"Success response - state of user was changed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/devices":{"get":{"tags":["users","global","operator","client","deviceManagement"],"description":"Get all users of same kind of entity as for caller \n  * _Global users_ - all devices\n  * _Operator users_ - all devices for user-related operator\n  * _Client users_ - all devices for user-related client\n","parameters":[{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of devices information","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/DeviceInfo"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"post":{"tags":["admins","global","operator","client","deviceManagement"],"description":"Add device into client account. For clients _clientId_ should be same as for caller.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddDevice"}}}},"responses":{"201":{"description":"Eid added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceInfo"}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/devices/{eid}":{"parameters":[{"$ref":"#/components/parameters/eidParam"}],"delete":{"tags":["users","global","operator","client","deviceManagement"],"description":"Remove device from DB","responses":{"204":{"description":"Success response to indicate device has been deleted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/devices/{eid}/profiles":{"parameters":[{"$ref":"#/components/parameters/eidParam"}],"get":{"tags":["users","global","operator","client","deviceManagement","profileManagement"],"description":"Get list of profiles that are installed on specified device","parameters":[{"$ref":"#/components/parameters/pageParam"},{"$ref":"#/components/parameters/pageSizeParam"}],"responses":{"200":{"description":"Success response with list of profiles","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/PageableResponse"},{"type":"object","required":["objects"],"properties":{"objects":{"type":"array","items":{"$ref":"#/components/schemas/ProfileInfo"}}}}]}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}},"post":{"tags":["users","global","operator","client","deviceManagement","profileManagement"],"description":"Install profile on the specified device.\n","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InstallProfile"}}}},"responses":{"200":{"$ref":"#/components/responses/AsyncOperationStatus"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/devices/{eid}/profiles/{iccid}":{"parameters":[{"$ref":"#/components/parameters/eidParam"},{"$ref":"#/components/parameters/iccidParam"}],"delete":{"tags":["users","global","operator","client","deviceManagement","profileManagement"],"description":"Enable/disable profile on device.","responses":{"200":{"$ref":"#/components/responses/AsyncOperationStatus"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/devices/{eid}/profiles/{iccid}/enable":{"parameters":[{"$ref":"#/components/parameters/eidParam"},{"$ref":"#/components/parameters/iccidParam"},{"$ref":"#/components/parameters/enableValueParam"}],"put":{"tags":["users","global","operator","client","deviceManagement","profileManagement"],"description":"Enable/disable profile on device.","responses":{"200":{"$ref":"#/components/responses/AsyncOperationStatus"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}},"/profiles/{eid}":{"parameters":[{"$ref":"#/components/parameters/eidParam"}],"delete":{"tags":["users","global","operator","client","profileManagement"],"description":"Remove profile from DB","responses":{"204":{"description":"Success response to indicate profile has been deleted"},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"500":{"$ref":"#/components/responses/InternalError"},"default":{"$ref":"#/components/responses/DefaultError"}}}}},"components":{"parameters":{"idParam":{"in":"path","name":"id","description":"Identifier of entity as path parameter","required":true,"schema":{"$ref":"#/components/schemas/Identifier"}},"eidParam":{"in":"path","name":"eid","description":"eUICC (device) identifier as path parameter","required":true,"schema":{"$ref":"#/components/schemas/Eid"}},"iccidParam":{"in":"path","name":"iccid","description":"Profile identifier as path parameter","required":true,"schema":{"$ref":"#/components/schemas/Iccid"}},"blockValueParam":{"in":"query","name":"value","description":"If true then entity should be blocked; default true","required":false,"schema":{"type":"boolean","default":true}},"enableValueParam":{"in":"query","name":"value","description":"If true then entity should be enabled; default true","required":false,"schema":{"type":"boolean","default":true}},"pageParam":{"in":"query","name":"page","description":"Page number; default 0","required":false,"schema":{"type":"integer","default":0}},"pageSizeParam":{"in":"query","name":"size","description":"Page size; default 25","required":false,"schema":{"type":"integer","default":25}}},"responses":{"AsyncOperationStatus":{"description":"Asynchronous operation status","content":{"application/json":{"schema":{"type":"object","required":["operationId","iccid","status"],"properties":{"operationId":{"$ref":"#/components/schemas/Identifier"},"iccid":{"$ref":"#/components/schemas/Iccid"},"status":{"description":"Status of operation: * `pending` - Operation is still executing * `success` - Operation is completed with no error * `failed` - Operation is failed, additional information is available in _error_ field\n","type":"string","enum":["pending","success","failed"]},"error":{"$ref":"#/components/schemas/Error"}}}}}},"BadRequest":{"description":"Request contains unexpected data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resourse was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"User is not authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalError":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"DefaultError":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Entity":{"type":"object","required":["email","msisdn","blocked"],"properties":{"description":{"type":"string","nullable":true,"example":"Entity base type"},"email":{"$ref":"#/components/schemas/Email"},"msisdn":{"$ref":"#/components/schemas/Msisdn"},"logoId":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/Identifier"}]},"blocked":{"type":"boolean","example":false},"permissions":{"$ref":"#/components/schemas/Permissions"}}},"NamedObject":{"description":"Represent any object that has name","type":"object","required":["name"],"properties":{"name":{"type":"string","example":"Object name"}}},"NamedEntity":{"allOf":[{"$ref":"#/components/schemas/Entity"},{"$ref":"#/components/schemas/NamedObject"}]},"EntityResponseData":{"type":"object","description":"Entity data required in response message","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/Identifier"},"blockingDate":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/DateTime"}]}}},"NamedEntityResponse":{"description":"Entity response information including name","allOf":[{"$ref":"#/components/schemas/NamedEntity"},{"$ref":"#/components/schemas/EntityResponseData"}]},"Operator":{"description":"Operator entity","allOf":[{"$ref":"#/components/schemas/NamedEntityResponse"}]},"Client":{"description":"Client entity","allOf":[{"$ref":"#/components/schemas/NamedEntityResponse"},{"type":"object","required":["operatorId"],"properties":{"operatorId":{"$ref":"#/components/schemas/Identifier"}}}]},"UserEntityData":{"description":"User related data","type":"object","required":["login","firstName","role"],"properties":{"login":{"$ref":"#/components/schemas/Login"},"firstName":{"type":"string","example":"User first name"},"lastName":{"nullable":true,"type":"string","example":"User last name"},"position":{"nullable":true,"type":"string","example":"Developer"},"role":{"$ref":"#/components/schemas/UserRole"}}},"User":{"description":"User entity","allOf":[{"$ref":"#/components/schemas/Entity"},{"$ref":"#/components/schemas/EntityResponseData"},{"$ref":"#/components/schemas/UserEntityData"},{"type":"object","required":["operatorId","clientId"],"properties":{"operatorId":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/Identifier"}]},"clientId":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/Identifier"}]}}}]},"CreateOperator":{"description":"Create operator operation request data","allOf":[{"$ref":"#/components/schemas/NamedEntity"},{"type":"object","required":["adminLogin"],"properties":{"adminLogin":{"$ref":"#/components/schemas/Login"},"adminPassword":{"$ref":"#/components/schemas/Password"}}}]},"UpdateOperator":{"description":"Update operator operation request data","allOf":[{"$ref":"#/components/schemas/CreateOperator"},{"type":"object","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/Identifier"}}}]},"CreateClient":{"description":"Create client operation request data","allOf":[{"$ref":"#/components/schemas/NamedEntity"},{"type":"object","required":["adminLogin"],"properties":{"adminLogin":{"$ref":"#/components/schemas/Login"},"adminPassword":{"$ref":"#/components/schemas/Password"}}}]},"UpdateClient":{"description":"Update client operation request data","allOf":[{"$ref":"#/components/schemas/CreateClient"},{"type":"object","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/Identifier"}}}]},"CreateUser":{"description":"Create user operation request data","allOf":[{"$ref":"#/components/schemas/Entity"},{"$ref":"#/components/schemas/UserEntityData"},{"type":"object","properties":{"password":{"$ref":"#/components/schemas/Password"}}}]},"UpdateUser":{"description":"Update user operation request data","allOf":[{"$ref":"#/components/schemas/CreateUser"},{"type":"object","required":["id"],"properties":{"id":{"$ref":"#/components/schemas/Identifier"}}}]},"ProfileInfo":{"description":"Profile information","type":"object","required":["iccid","msisdn","status","operatorId","clientId"],"properties":{"iccid":{"$ref":"#/components/schemas/Iccid"},"msisdn":{"$ref":"#/components/schemas/Msisdn"},"status":{"$ref":"#/components/schemas/ProfileStatus"},"activationDate":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/DateTime"}]},"operatorId":{"$ref":"#/components/schemas/Identifier"},"clientId":{"$ref":"#/components/schemas/Identifier"}}},"DeviceInfo":{"description":"eUICC (device) information","allOf":[{"$ref":"#/components/schemas/NamedObject"},{"type":"object","required":["eid","totalProfiles","activeProfile","clientId"],"properties":{"eid":{"$ref":"#/components/schemas/Eid"},"totalProfiles":{"type":"integer"},"clientId":{"$ref":"#/components/schemas/Identifier"},"activeProfile":{"nullable":true,"allOf":[{"$ref":"#/components/schemas/ProfileInfo"}]}}}]},"InstallProfile":{"description":"Install profile (Iccid) on device (Eid) operation request data","oneOf":[{"type":"object","required":["iccid"],"properties":{"iccid":{"$ref":"#/components/schemas/Iccid"}}},{"type":"object","required":["operatorId"],"properties":{"operatorId":{"$ref":"#/components/schemas/Identifier"}}}]},"AddDevice":{"description":"Add device (Eid) into client account operation request data","allOf":[{"$ref":"#/components/schemas/NamedObject"},{"type":"object","required":["eid","clientId"],"properties":{"eid":{"$ref":"#/components/schemas/Eid"},"clientId":{"$ref":"#/components/schemas/Identifier"}}}]},"PageableResponse":{"description":"Pageable request response information","type":"object","required":["page","size","total"],"properties":{"page":{"type":"integer"},"size":{"type":"integer"},"total":{"type":"integer"}}},"Identifier":{"description":"Object identifier","type":"integer","format":"int64"},"Eid":{"description":"eUICC (device) identifier","type":"string"},"Iccid":{"description":"Card (profile) identifier","type":"string"},"Login":{"description":"User login representation","type":"string"},"Password":{"description":"User password representation","type":"string"},"Email":{"description":"Entity email representation","type":"string","format":"email"},"Msisdn":{"description":"Entity msisdn representation","type":"string"},"DateTime":{"description":"Represents date time string value","type":"string","format":"date-time"},"ProfileStatus":{"description":"Profile status:\n  * `Available` - profile is ready for installation\n  * `Disabled` - profile is installed, but not active\n  * `Active` - profile is installed and active\ntype: string enum:\n  - Available\n  - Disabled\n  - Active\n"},"Permission":{"description":"Entity permission:\n  * `perm.access.iccids` - Entity can manage list of ICCIDs\n  * `perm.access.eids` - Entity can manage list of EIDs\n  * `perm.user.unqualified` - Applied to user role, user with this\n  authority has limited access\n  * `perm.user.password.temp` - User uses temporary password\n","type":"string","enum":["perm.access.iccids","perm.access.eids","perm.user.unqualified","perm.user.password.temp"]},"Permissions":{"description":"List of entity permissions","type":"array","items":{"$ref":"#/components/schemas/Permission"}},"UserRole":{"description":"User role:\n  * `ADMIN` - User with administrative authorities\n  * `USER` - Regular user\n","type":"string","enum":["ADMIN","USER"]},"Error":{"description":"Information about error response","type":"object","required":["message","code"],"properties":{"message":{"type":"string"},"code":{"type":"integer","description":"Error code:\n  * `255` - Unexpected error\n","enum":[255]}}}}}}